Bug 1066354 (CVE-2013-4530)

Summary: CVE-2013-4530 qemu: pl022: fix buffer overun on invalid state load
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: amit.shah, areis, berrange, bsarathy, cfergeau, dwmw2, ehabkost, gleb, itamar, jkurik, juzhang, knoel, minovotn, mkenneth, mst, mtosatti, pbonzini, pfrields, ppandit, rbalakri, rhod, rjones, scottt.tw, virt-maint, virt-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-22 11:32:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1095719, 1095720, 1095723    
Bug Blocks: 1036654    

Description Petr Matousek 2014-02-18 09:39:10 UTC
pl022.c did not bounds check tx_fifo_head and rx_fifo_head after loading
them from file and before they are used to dereference array.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=d8d0a0bc7e194300e53a346d25fe5724fd588387

Comment 1 Petr Matousek 2014-02-18 11:18:08 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6

Comment 3 Prasad J Pandit 2014-05-08 12:29:32 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095719]

Comment 5 Fedora Update System 2014-05-16 10:00:01 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.